Bug 16311 - Advanced search language limit typo for Romanian
Summary: Advanced search language limit typo for Romanian
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Andreas Roussos
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-20 14:28 UTC by Barry Cannon
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16311 - Advanced search language limit typo (2.64 KB, patch)
2016-09-09 16:49 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 16311 - Advanced search language limit typo (2.70 KB, patch)
2016-09-09 17:03 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 16311 - Advanced search language limit typo (2.77 KB, patch)
2016-09-10 09:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barry Cannon 2016-04-20 14:28:49 UTC
On the OPAC, when the language limit is select the Romanian select option is incorrectly spelled. At present it is "Român (Romanian)" but it should be "Română (Romanian)"
Comment 1 Andreas Roussos 2016-09-09 16:49:47 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2016-09-09 17:03:58 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-09-10 09:07:30 UTC
Created attachment 55464 [details] [review]
[PASSED QA] Bug 16311 - Advanced search language limit typo

In the OPAC -> Advanced Search, the Language drop down menu incorrectly
lists Romanian as "Român (Romanian)" while the correct value (as reported
by Barry Cannon) is "Română (Romanian)".

This patch fixes that:
a) for _new_ installations by modifying
   installer/data/mysql/mandatory/subtag_registry.sql (loaded by the web
   installer when koha is installed), and also
b) for _existing_ installations by adding an atomicupdate file in
   installer/data/mysql/atomicupdate/

Test plan:
1) In the OPAC, go to Advanced search (cgi-bin/koha/opac-search.pl).
2) In the 'Language' drop down menu, observe that the value for Romanian
   is "Român (Romanian)".
3) Apply the patch, and run installer/data/mysql/updatedatabase.pl.
4) Refresh the Advanced search page in the OPAC. Confirm that the patch
   worked, i.e. the Language drop down menu lists Romanian as
   "Română (Romanian)" (notice the added 'ă').

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Katrin Fischer 2016-09-10 09:08:37 UTC
Welcome Andreas!
Comment 5 Kyle M Hall 2016-09-12 10:09:41 UTC
Pushed to master for 16.11, thanks Andreas!
Comment 6 Frédéric Demians 2016-09-13 07:54:06 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 7 Julian Maurice 2016-09-16 09:23:21 UTC
Pushed to 3.22.x, will be in 3.22.11